Incorrect sorting of uppercase and accented words in the "Style -> Categorized" dialog

2012-08-16 06:47 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15525

Description

In Styling -> Categorized

I have labels such as:

alpha

Beta

charlie

Delta

If I set it to sort, I would expect it to sort in that order ascending. However QGIS seems to be case sensitive when sorting, so I get:

alpha

charlie

Beta

Delta

Aren't sorts normally case insensitive? That's certainly what I'd expect as a regular user.

History

#1 - 2012-08-16 10:17 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Subject changed from Case sensitive sort to Incorrect sorting of uppercase and accented words in the "Style -> Categorized" dialog

- Category set to GUI

I can cofirm this issue also with words that do begin with accented letters like "É", "Á", etc.

#2 - 2014-01-25 02:59 AM - Martin Dobias

- File categorized-sorting.png added

Actually I cannot confirm in master - for me the sorting is case insensitive and respects accented characters (see attached screenshot). Or do you have a

different dialog in your mind?

#3 - 2014-01-25 09:00 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented
Reopen if necessary.

#4 - 2014-01-27 04:41 AM - Jonathan Moules

Confirmed as fixed.

Files

categorized-sorting.png 39.2 KB 2014-01-25 Martin Dobias
